* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    user-select: none;
    text-decoration: none;
    color: inherit;
}

*:hover {
    background-color: inherit;
}

body {
    background-color: rgb(250, 250, 250) !important;
}

header {
    width: 100%;
    min-width: 450px;
    display: flex;
    justify-content: start;
    align-items: center;
    padding: 20px 20px 20px 50px;
    margin-bottom: 10px;
    position: sticky;
    top: 0;
    background-color: white;
    box-shadow: 0 0 5px rgba(40, 40, 40, 1);
    z-index: 5;
    font-family: apercu-pro, -apple-system, BlinkMacSystemFont, "Helvetica Neue", sans-serif;
}

header > div.logo {
    width: 50px;
    height: 50px;
    margin-right: 50px;
}

header > div.logo > img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    transition: 1s;
}

@keyframes radiate {
    0%   { box-shadow: 0 0 5px 1px rgba(39, 247, 62, 0.2); }
    20%  { box-shadow: 0 0 5px 3px rgba(39, 247, 62, 0.4); }
    40%  { box-shadow: 0 0 5px 5px rgba(39, 247, 62, 0.6); }
    60%  { box-shadow: 0 0 5px 5px rgba(39, 247, 62, 0.6); }
    80%  { box-shadow: 0 0 5px 3px rgba(39, 247, 62, 0.4); }
    100% { box-shadow: 0 0 5px 1px rgba(39, 247, 62, 0.2); }
}

header > h1 {
    font-size: 26px;
    grid-column: 2/3;
    height: 50px;
    display: grid;
    align-items: center;
}

section.tools {
    width: 100%;
    min-width: 450px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 5px 20px 20px;
}

section.tools > div.header {
    font-size: 20px;
    grid-column: 2/3;
    height: 60px;
    display: grid;
    align-items: center;
    /*width: min(100%, 900px);*/
    width: 100%;
    margin-left: 25px;
    margin-right: 25px;
    padding-left: 16px;
    padding-bottom: 15px;
    padding-top: 15px;
    margin-bottom: 10px;
    font-weight: bold;
    border-bottom: 1px solid rgb(40, 40, 40);
    font-family: apercu-pro, -apple-system, BlinkMacSystemFont, "Helvetica Neue", sans-serif;
    position: sticky;
    top: 90px;
    background-color: rgb(250, 250, 250) !important;
    z-index: 4;
    cursor: pointer;
    grid-template-columns: 2em auto 2em;
}

section.tools > div.header > span:first-child {
    grid-column: 1/2;
    grid-row: 1/2;
    display: flex;
    align-items: center;
}

section.tools > div.header > span:first-child > img {
    width: 25px;
}

section.tools > div.header > span.chevron::before {
    border-style: solid;
    border-width: 0.15em 0.15em 0 0;
    content: '';
    display: block;
    grid-column: 2/3;
    grid-row: 1/2;
    height: 0.45em;
    left: 0.15em;
    position: relative;
    vertical-align: top;
    width: 0.45em;
    top: 0;
    transform: rotate(135deg);
}

section.tools > div.header.active > span.chevron::before {
    transform: rotate(-45deg);
}

section.tools div.wrapper {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    overflow-y: hidden;
    max-height: 0;
    transition: max-height 0.75s cubic-bezier(0, 1, 0, 1);
}

section.tools.active div.wrapper {
    max-height: 10000px;
    transition: max-height 1.5s ease-in-out;
}

section.tools div.wrapper.inner.collapsed {
    box-shadow: rgb(19 19 19 / 24%) 0 2px 4px 0;
}

section.tools div.wrapper.inner {
    padding: 20px;
    box-shadow: rgb(0 0 0 / 30%) 0 5px 15px;
    border-radius: 8px;
    margin-bottom: 16px;
    transition: 750ms, box-shadow 0.2s ease-in-out 0s;
}

section.tools div.wrapper > div.tool.hidden,
section.tools div.wrapper.hidden {
    /*display: none;*/
}

section.tools div.wrapper > div.header {
    font-size: 18px;
    height: 50px;
    display: grid;
    align-items: center;
    padding-left: 16px;
    padding-bottom: 15px;
    padding-top: 15px;
    margin-bottom: 15px;
    font-weight: bold;
    border-bottom: 1px solid rgb(40, 40, 40);
    font-family: apercu-pro, -apple-system, BlinkMacSystemFont, "Helvetica Neue", sans-serif;
    background-color: rgb(250, 250, 250) !important;
    z-index: 3;
    flex: 0 0 100%;
    cursor: pointer;
}

section.tools div.wrapper > div.tool {
    flex: 0 0 calc(50% - 12px);
    margin-bottom: 16px;
    min-width: 350px;
    cursor: pointer;
    border-radius: 8px;
}

section.tools div.wrapper > div.tool.unauthorized {
    filter: grayscale(1);
    cursor: not-allowed;
}

section.tools div.wrapper > div.tool {
    margin-right: 12px;
}

section.tools div.wrapper > div.tool > a.link {
    border-radius: 8px;
}

section.tools div.wrapper > div.tool > a.link:active {
    background-color: inherit;
}

section.tools div.wrapper > div.tool > a.link > div.container {
    box-shadow: rgb(19 19 19 / 8%) 0 2px 4px 0;
    transition: 750ms, box-shadow 0.2s ease-in-out 0s;
    padding: 16px;
    border-radius: 8px;
    background-color: white;
    overflow-wrap: break-word;
}

section.tools div.wrapper > div.tool.unauthorized > a.link > div.container {
    background-color: rgb(240, 240, 240);
    color: rgb(80, 80, 80);
    box-shadow: rgb(19 19 19 / 30%) -1px -2px 4px -1px;
}

section.tools div.wrapper > div.tool > a.link > div.container:hover {
    box-shadow: rgb(0 0 0 / 30%) 0 5px 15px;
}

section.tools div.wrapper > div.tool > a.link > div.container:active {
    background-color: rgb(241, 236, 227);
    border-radius: 8px;
}

section.tools div.wrapper > div.tool > a.link > div.container > div.structure {
    display: flex;
    flex-flow: row nowrap;
}

section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon {
    display: grid;
    align-items: center;
    justify-items: center;
    width: 50px;
    height: 50px;
}

section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img {
    width: 50px;
    height: 50px;
}

section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img.adp {
    height: 25px;
}

section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img.edify {
    height: 25px;
    background-color: black;
}

section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img.smartfruit {
    height: 37px;
}

section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img.sitewise {
    height: 25px;
    border-radius: 5px;
    background-color: #041f53;
}

section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.information {
    margin-left: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.information > div.title {

}

section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.information > div.title > span {
    font-size: 16px;
    font-weight: 700;
    font-family: apercu-pro, -apple-system, BlinkMacSystemFont, "Helvetica Neue", sans-serif;
}

section.tools div.wrapper > div.tool {
    max-height: 10000px;
    overflow-y: auto;
    margin-bottom: 16px;
    transition: max-height 1s ease-in-out;
}

section.tools div.wrapper.collapsed > div.tool {
    max-height: 0;
    overflow-y: hidden;
    margin-bottom: 0;
    transition: max-height 0.5s cubic-bezier(0, 1, 0, 1);
}

@media (min-width: 1000px) {
    section.tools {
        padding: 5px 50px;
    }
    section.tools > div.header {
        font-size: 24px;
        height: 75px;
        padding-left: 10px;
        padding-bottom: 5px;
        padding-top: 5px;
        margin-bottom: 20px;
        margin-left: 35px;
        margin-right: 35px;
    }

    section.tools div.wrapper > div.header {
        font-size: 20px;
        height: 55px;
        padding-left: 20px;
        padding-bottom: 20px;
        padding-top: 20px;
    }

    section.tools div.wrapper {
        min-width: 620px;
        max-width: 900px;
    }

    section.tools div.wrapper.inner {
        margin-bottom: 20px;
    }

    section.tools div.wrapper > div.tool {
        flex: 0 0 calc(50% - 20px);
        margin-bottom: 20px;
        min-width: 450px;
        font-size: 20px;
    }

    section.tools div.wrapper > div.tool {
        margin-right: 20px;
    }

    section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon {
        width: 75px;
        height: 75px;
    }

    section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img {
        width: 75px;
        height: 75px;
    }

    section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img.adp {
        height: 37px;
    }

    section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img.edify {
        height: 37px;
    }

    section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img.smartfruit {
        height: 57px;
    }

    section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.information > div.title > span {
        font-size: 24px;
    }

}

@media (min-width: 1200px) {
    section.tools div.wrapper {
        min-width: 620px;
        max-width: 1100px;
    }
}

@media (min-width: 1600px) {
    section.tools {
        padding: 5px 75px;
    }

    section.tools div.header {
        font-size: 26px;
        height: 65px;
        padding-left: 25px;
        padding-bottom: 10px;
        padding-top: 10px;
        margin-bottom: 30px;
    }

    section.tools div.wrapper > div.header {
        font-size: 28px;
        height: 100px;
        padding-left: 25px;
        padding-bottom: 25px;
        padding-top: 25px;
        margin-bottom: 25px;
    }

    section.tools div.wrapper {
        min-width: 830px;
        max-width: 1500px;
    }

    section.tools div.wrapper > div.tool {
        flex: 0 0 calc(50% - 24px);
        margin-bottom: 30px;
        min-width: 700px;
        font-size: 24px;
        margin-right: 24px;
    }

    section.tools div.wrapper.inner {
        margin-bottom: 30px;
    }

    section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.information > div.title > span {
        font-size: 28px;
    }

    section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon {
        width: 100px;
        height: 100px;
    }

    section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img {
        width: 100px;
        height: 100px;
    }

    section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img.adp {
        height: 50px;
    }

    section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img.edify {
        height: 50px;
    }

    section.tools div.wrapper > div.tool > a.link > div.container > div.structure > div.icon > img.smartfruit {
        height: 75px;
    }
}